> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get groups

> Retrieves a paginated list of groups. Supply filter + sort + pageSize + pageNumber for page-based results, or a cursor for cursor-based results. cursor is mutually exclusive with filter/sort/pageSize/pageNumber. BeginDate / EndDate filter as paired range params (beginDateFrom/beginDateTo, endDateFrom/endDateTo) — the same field names appear on the response, so a response value can be re-supplied as a filter byte-for-byte.



## OpenAPI

````yaml https://service.my.delogue.com/openapi/external.json get /api/groups
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/groups:
    get:
      tags:
        - Groups
      summary: Get groups
      description: >-
        Retrieves a paginated list of groups. Supply filter + sort + pageSize +
        pageNumber for page-based results, or a cursor for cursor-based results.
        cursor is mutually exclusive with filter/sort/pageSize/pageNumber.
        BeginDate / EndDate filter as paired range params
        (beginDateFrom/beginDateTo, endDateFrom/endDateTo) — the same field
        names appear on the response, so a response value can be re-supplied as
        a filter byte-for-byte.
      parameters:
        - name: Search
          in: query
          schema:
            type: string
        - name: Ids
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: Names
          in: query
          schema:
            type: array
            items:
              type: string
        - name: UserDefinedId
          in: query
          schema:
            type: string
        - name: State
          in: query
          schema:
            $ref: '#/components/schemas/GroupState'
        - name: BeginDateFrom
          in: query
          schema:
            type: string
            format: date-time
        - name: BeginDateTo
          in: query
          schema:
            type: string
            format: date-time
        - name: EndDateFrom
          in: query
          schema:
            type: string
            format: date-time
        - name: EndDateTo
          in: query
          schema:
            type: string
            format: date-time
        - name: sort
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/SortDescriptorDto'
        - name: pageSize
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: pageNumber
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: cursor
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfGroupDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfGroupDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfGroupDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    GroupState: {}
    SortDescriptorDto:
      type: object
      properties:
        propertyName:
          type: string
        order:
          $ref: '#/components/schemas/SortOrderDto'
      additionalProperties: false
    ApiPaginatedResponseOfGroupDto:
      required:
        - status
        - code
        - data
        - pagination
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/GroupDto'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    SortOrderDto: {}
    ApiResponseStatus: {}
    GroupDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type: string
        userDefinedId:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/GroupState'
        properties:
          type: array
          items:
            type: string
        usedInStyles:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        beginDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
      additionalProperties: false
    PaginationInfo:
      required:
        - hasMore
        - cursor
      type: object
      properties:
        hasMore:
          type: boolean
        cursor:
          type: string
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false

````